/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.modifylistexample;

import java.util.Arrays;
import java.util.List;


/**
 *
 * @author omozegieaziegbe
 */
public class ModifyListExample {

    public static void main(String[] args) {
        
        List<String> vegetables = Arrays.asList("carrot", "potato", "spinach", "broccoli", "tomato");
        
        System.out.println("Original List: " + vegetables);

        // Using List.replaceAll() to capitalize each vegetable name
        vegetables.replaceAll(veg -> capitalizeFirstLetter(veg));

        System.out.println("Modified List: " + vegetables);

    }
    
    // Helper method to capitalize the first letter of a string
    private static String capitalizeFirstLetter(String str) {
        return str.substring(0, 1).toUpperCase() + str.substring(1);
    }
}
