/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.streamexample;

import java.util.Arrays;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class StreamExample {

    public static void main(String[] args) {

        List<String> vegetables = Arrays.asList("carrot", "potato", "spinach", "broccoli", "tomato");

        vegetables.stream()
                .map(vegetable -> vegetable.toUpperCase()) // Modify each element (convert to uppercase)
                .forEachOrdered(System.out::println);    // Print each modified element
    }
}
