/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.newmodifiedlistexample;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author omozegieaziegbe
 */
public class NewModifiedListExample {

    public static void main(String[] args) {

        List<String> vegetables = Arrays.asList("carrot", "potato", "spinach", "broccoli", "tomato");

        List<String> modified = vegetables.stream()
                .map(vegetable -> vegetable.substring(0, 1).toUpperCase() + vegetable.substring(1))
                .collect(Collectors.toList());

        modified.forEach(System.out::println);

        vegetables.stream()
                .filter(vegetable -> vegetable.length() > 6) // Filter elements based on length
                .map(vegetable -> vegetable.substring(0, 1).toUpperCase() + vegetable.substring(1))
                .forEach(System.out::println);
    }

}
